#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_line_usage_1 = __importDefault(require("command-line-usage"));
const AlbApp_1 = require("../AlbApp");
const APP_USAGE = {
    header: "lamda-api",
    optionList: AlbApp_1.AlbApp.APP_OPTIONS
};
function validateArgs(args) {
    if (args.length === 0 ||
        args.includes("--help") ||
        args.includes("-h")) {
        console.error(command_line_usage_1.default(APP_USAGE));
        process.exit(1);
    }
}
async function main() {
    let app = new AlbApp_1.AlbApp();
    let args = process.argv.splice(2);
    validateArgs(args);
    await app.runServer(args);
    process.on("SIGINT", async () => await app.stopServer());
    console.log("Press CTRL-C at any time to exit...");
}
(async () => await main())();
//# sourceMappingURL=lambda-alb.js.map