/**
 * AWS Lambda HTTP request event.
 */
export declare class AlbRequest {
    /**
     * HTTP method ('GET', 'POST', 'PUT' etc.)
     */
    httpMethod: string;
    /**
     * Request URL path. Excludes protocol, host and port.
     */
    path: string;
    /**
     * HTTP request headers as a map.
     */
    headers: object;
    /**
     * HTTP request query string parameters as a map.
     */
    queryStringParameters: object;
    /**
     * HTTP request event body, potentially Base64 encoded.
     */
    body: string;
    /**
     * Is the `body` property Base64 encoded?
     */
    isBase64Encoded: boolean;
    constructor();
}
